Planets
GET /reference/planets
GET
/reference/planets
Reference list of planetary bodies (Sun..Pluto + nodes + Chiron + Lilith) with archetype, rulerships, exaltation/fall/detriment, orbit period, and category.
Authorizations
Section titled “Authorizations ”Code Samples
Section titled “ Code Samples ”curl -X GET https://api.astroway.info/v1/reference/planets \ -H "Content-Type: application/json"const res = await fetch('https://api.astroway.info/v1/reference/planets', { method: 'GET', headers: { 'Content-Type': 'application/json', },});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.get( 'https://api.astroway.info/v1/reference/planets', headers={'Content-Type': 'application/json'},)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->get('reference/planets', []);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Responses
Section titled “ Responses ”Successful calculation
object
ok
boolean
Example
true data
object
items
Array<object>
object
id
number
name
string
glyph
string
archetype
string
rules
Array<number>
exaltation
number
fall
number
type
string
count
number
Validation error
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.